Bug 1262751 - munin-common should be requires(pre) shadow-utils package
munin-common should be requires(pre) shadow-utils package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: d. johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 05:26 EDT by Yu Watanabe
Modified: 2016-04-03 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: munin-2.0.25-11.fc24 munin-2.0.25-11.fc23 munin-2.0.25-11.fc22 munin-2.0.25-11.el7 munin-2.0.25-11.el6 munin-2.0.25-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:05:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full installation process log (97.10 KB, text/plain)
2015-09-14 05:29 EDT, Yu Watanabe
no flags Details

  None (edit)
Description Yu Watanabe 2015-09-14 05:26:05 EDT
Description of problem:

The package munin-common creates munin user and groups. However, the package does not requires(pre) shadow-utils package. So, pre-script of munin-common cannot create the user and group. Also, the created directory /run/munin cannot have expected attributes.
Of course, the package usually installed with munin or munin-node package, and these package also create the user and group. Thus, the severity of this problem not so high.

Version-Release number of selected component (if applicable):

munin-common-2.0.25-2.fc21.noarch
munin-common-2.0.25-2.fc22.noarch
munin-common-2.0.25-4.fc23.noarch

How reproducible:

Always.

Steps to Reproduce:
1. mkdir /tmp/hoge
2. dnf --releasever=23 --installroot=/tmp/hoge -y install munin
3.

Actual results:

The installation process outputs the following error messages.
---------
/var/tmp/rpm-tmp.SpU8by: line 2: /usr/sbin/groupadd: No such file or directory
/var/tmp/rpm-tmp.SpU8by: line 4: /usr/sbin/useradd: No such file or directory
  Installing  : munin-common-2.0.25-4.fc23.noarch                       114/302
warning: user munin does not exist - using root
warning: group munin does not exist - using root
---------

Expected results:

The installation done with creating the user, group and /run/munin with proper attr.

Additional info:

Pleas add
-----
Requires(pre):  shadow-utils
-----
in the "%package common" section in munin.spec
Comment 1 Yu Watanabe 2015-09-14 05:29:29 EDT
Created attachment 1073140 [details]
full installation process log

This is the output of the following command
------
dnf --releasever=23 --installroot=/tmp/hoge --enablerepo updates-testing -y install munin | tee install-munin.log
------
Comment 2 d. johnson 2015-09-15 07:51:18 EDT
Thank you for the report, something strange is happening with dnf.

http://pkgs.fedoraproject.org/cgit/munin.git/tree/munin.spec#n84

"Requires(pre):  shadow-utils" is already in the spec.
Comment 3 Yu Watanabe 2015-09-15 08:23:35 EDT
(In reply to d. johnson from comment #2)
> Thank you for the report, something strange is happening with dnf.
> 
> http://pkgs.fedoraproject.org/cgit/munin.git/tree/munin.spec#n84
> 
> "Requires(pre):  shadow-utils" is already in the spec.

The line 84 is for munin.rpm. The package munin-common.rpm should also requires shadow-utils. Please add the requirement in '%package common' section.
Comment 4 d. johnson 2015-09-15 21:32:41 EDT
If you have some time to test, you can poke the scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=11102111

This should have the dep listed in all four places.
Comment 5 Yu Watanabe 2015-09-16 22:35:24 EDT
Thank you! This works correctly for me.

Still there some other error messages, already noted in the spec file:
http://pkgs.fedoraproject.org/cgit/munin.git/tree/munin.spec#n698
http://pkgs.fedoraproject.org/cgit/munin.git/tree/munin.spec#n576
However, these are not related to this bug.
Comment 6 Fedora Update System 2016-03-11 01:42:46 EST
munin-2.0.25-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 7 Fedora Update System 2016-03-11 01:43:12 EST
munin-2.0.25-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 8 Fedora Update System 2016-03-11 01:43:42 EST
munin-2.0.25-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 9 Fedora Update System 2016-03-11 01:44:13 EST
munin-2.0.25-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 10 Fedora Update System 2016-03-11 01:44:41 EST
munin-2.0.25-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 11 Fedora Update System 2016-03-11 01:45:05 EST
munin-2.0.25-10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 12 Fedora Update System 2016-03-11 14:26:58 EST
munin-2.0.25-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0deb9d79b7
Comment 13 Fedora Update System 2016-03-12 10:48:25 EST
munin-2.0.25-10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-35a61415af
Comment 14 Fedora Update System 2016-03-12 10:49:50 EST
munin-2.0.25-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4564ebb06
Comment 15 Fedora Update System 2016-03-12 11:53:49 EST
munin-2.0.25-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6586eecbb0
Comment 16 Fedora Update System 2016-03-12 12:25:37 EST
munin-2.0.25-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12c0a2ffd9
Comment 17 Fedora Update System 2016-03-12 15:50:41 EST
munin-2.0.25-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d682ef1123
Comment 18 Fedora Update System 2016-03-15 21:39:23 EDT
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 19 Fedora Update System 2016-03-15 21:40:15 EDT
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 20 Fedora Update System 2016-03-15 21:40:56 EDT
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 21 Fedora Update System 2016-03-15 21:41:28 EDT
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 22 Fedora Update System 2016-03-15 21:42:07 EDT
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 23 Fedora Update System 2016-03-15 21:42:40 EDT
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 24 Fedora Update System 2016-03-18 11:00:12 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c
Comment 25 Fedora Update System 2016-03-18 18:50:01 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430
Comment 26 Fedora Update System 2016-03-18 18:52:12 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09
Comment 27 Fedora Update System 2016-03-18 19:56:38 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c
Comment 28 Fedora Update System 2016-03-18 21:27:18 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35
Comment 29 Fedora Update System 2016-03-18 22:18:35 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e
Comment 30 Fedora Update System 2016-03-26 14:04:52 EDT
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-03-26 15:49:58 EDT
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-03-26 16:20:59 EDT
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2016-04-02 15:25:44 EDT
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2016-04-02 16:34:22 EDT
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2016-04-03 15:51:31 EDT
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.